After a year of being puzzled, we've finally got the WLM 2009 problem solved!


#1

Believe it or not, we’ve finally got WLM 2009 to behave and actually connect to its servers! :smile:

It all started by using WLE 2009 to install WLM 2009 rather than rely on the separate MSI for it. Then I got a HOSTS redirect set up for messenger.hotmail.com to redirect to my local server and tried to log on with WLM 2009, just to see if it’d connect. Rather than it erring out almost instantly, it connected to the server and then failed, which is normal at the moment.

And here are the screenshots to prove it:

This was just with HOSTS, so I did the usual Escargot patching procedures and logged on. It seems to work with Escargot’s msidcrl40.dll and it passed authentication pretty well, but it froze by the time several MSG commands were sent afterwards. Then again, Escargot doesn’t properly support MSNP18 yet, so it’s expected.

I immediately e-mailed @valtron about this, and hopefully, he can focus his attention back to getting WLM 2009 support working with the amount of time he has.

In the meanwhile, get hyped! :stuck_out_tongue:


Anything new about patching?
#2

OH BOY!
That’s awesome!


#3

OH GOD ,ITS FINALLY HAPPENING
body seens unclear


#4

Congrats!


#5

OH YEAH, IM SO EXCITED FOR WLM 2009 :smile: CONGRATS ESCARGOT TEAM :smile:


#6


#7

ok


#8

ill try this myself and see how it plays out


#9

just like he said, it’s gonna shoot you an error

v


#10

At least it won’t error out before connecting to the server. :stuck_out_tongue:


#11

sooo, do you think we may get 14.x next month?


#12

i’m thinking around august, september or out by 2019.


#13

you know valtron


#14

MSNP18 as a protocol shouldn’t be that hard to implement, so it should take about a few months at least to fully support WLM 2009.


#15

right


#16

:stuck_out_tongue:

image


#17

Oh boy, I am really excited!


#18

i get 8000ffff. would be expected
guess we’re waiting


#19

yes bwoiiiiii


#26

Now, all those pessimistic statements that “WLM 2009 support will never be implemented” aren’t valid anymore!